// !! #d9deprecated ==> See _spacings_responsive.scss

// Default Spacings
// -- Margins
.mt-xxs {
  margin-top: $space-xxs-v;
}

.mt-xs {
  margin-top: $space-xs-v;
}

.mt-sm {
  margin-top: $space-sm-v;
}

.mt-md {
  margin-top: $space-md-v;
}

.mt-lg {
  margin-top: $space-md-v;

  @include breakpoint(medium) {
    margin-top: $space-lg-v;
  }
}

.mt-xl {
  margin-top: $space-lg-v;

  @include breakpoint(medium) {
    margin-top: $space-xl-v;
  }
}

.mt-xxl {
  margin-top: $space-lg-v;

  @include breakpoint(medium) {
    margin-top: $space-xxl-v;
  }
}

.mt-none {
  margin-top: 0;
}

.mr-xxs {
  margin-right: $space-xxs-h;
}

.mr-xs {
  margin-right: $space-xs-h;
}

.mr-sm {
  margin-right: $space-sm-h;
}

.mr-md {
  margin-right: $space-md-h;
}

.mr-lg {
  margin-right: $space-md-h;
  @include breakpoint(medium) {
    margin-right: $space-lg-h;
  }
}

.mr-xl {
  margin-right: $space-lg-h;
  @include breakpoint(medium) {
    margin-right: $space-xl-h;
  }
}

.mr-xxl {
  margin-right: $space-lg-h;
  @include breakpoint(medium) {
    margin-right: $space-xxl-h;
  }
}

.mr-none {
  margin-right: 0;
}

.mb-xxs {
  margin-bottom: $space-xxs-v;
}

.mb-xs {
  margin-bottom: $space-xs-v;
}

.mb-sm {
  margin-bottom: $space-sm-v;
}

.mb-md {
  margin-bottom: $space-md-v;
}

.mb-lg {
  margin-bottom: $space-md-v;

  @include breakpoint(medium) {
    margin-bottom: $space-lg-v;
  }
}

.mb-xl {
  margin-bottom: $space-lg-v;

  @include breakpoint(medium) {
    margin-bottom: $space-xl-v;
  }
}

.mb-xxl {
  margin-bottom: $space-lg-v;

  @include breakpoint(medium) {
    margin-bottom: $space-xxl-v;
  }
}

.mb-none {
  margin-bottom: 0;
}

.ml-xxs {
  margin-left: $space-xxs-h;
}

.ml-xs {
  margin-left: $space-xs-h;
}

.ml-sm {
  margin-left: $space-sm-h;
}

.ml-md {
  margin-left: $space-md-h;
}

.ml-lg {
  margin-left: $space-md-h;
    @include breakpoint(medium) {
      margin-left: $space-lg-h;
    }
}

.ml-xl {
  margin-left: $space-lg-h;
    @include breakpoint(medium) {
      margin-left: $space-xl-h;
    }
}

.ml-xxl {
  margin-left: $space-lg-h;
      @include breakpoint(medium) {
        margin-left: $space-xxl-h;
      }
}

.ml-none {
  margin-left: 0;
}

// -- Paddings
.pt-xxs {
  padding-top: $space-xxs-v;
}

.pt-xs {
  padding-top: $space-xs-v;
}

.pt-sm {
  padding-top: $space-sm-v;
}

.pt-md {
  padding-top: $space-md-v;
}

.pt-lg {
  padding-top: $space-md-v;

  @include breakpoint(medium) {
    padding-top: $space-lg-v;
  }
}

.pt-xl {
  padding-top: $space-lg-v;

  @include breakpoint(medium) {
    padding-top: $space-xl-v;
  }
}

.pt-xxl {
  padding-top: $space-lg-v;

  @include breakpoint(medium) {
    padding-top: $space-xxl-v;
  }
}

.pt-none {
  padding-top: 0;
}

.pr-xxs {
  padding-right: $space-xxs-h;
}

.pr-xs {
  padding-right: $space-xs-h;
}

.pr-sm {
  padding-right: $space-sm-h;
}

.pr-md {
  padding-right: $space-md-h;
}

.pr-lg {
  padding-right: $space-md-h;

  @include breakpoint(medium) {
    padding-right: $space-lg-h;
  }
}

.pr-xl {
  padding-right: $space-lg-h;

  @include breakpoint(medium) {
    padding-right: $space-xl-h;
  }
}

.pr-xxl {
  padding-right: $space-lg-h;

  @include breakpoint(medium) {
    padding-right: $space-xxl-h;
  }
}

.pr-none {
  padding-right: 0;
}

.pb-xxs {
  padding-bottom: $space-xxs-v;
}

.pb-xs {
  padding-bottom: $space-xs-v;
}

.pb-sm {
  padding-bottom: $space-sm-v;
}

.pb-md {
  padding-bottom: $space-md-v;
}

.pb-lg {
  padding-bottom: $space-md-v;

  @include breakpoint(medium) {
    padding-bottom: $space-lg-v;
  }
}

.pb-xl {
  padding-bottom: $space-lg-v;

  @include breakpoint(medium) {
    padding-bottom: $space-xl-v;
  }
}

.pb-xxl {
  padding-bottom: $space-lg-v;

  @include breakpoint(medium) {
    padding-bottom: $space-xxl-v;
  }
}

.pb-none {
  padding-bottom: 0;
}

.pl-xxs {
  padding-left: $space-xxs-h;
}

.pl-xs {
  padding-left: $space-xxs-h;

  @include breakpoint(medium) {
    padding-left: $space-xs-h;
  }
}

.pl-sm {
  padding-left: $space-sm-h;
}

.pl-md {
  padding-left: $space-md-h;
}

.pl-lg {
  padding-left: $space-md-h;

  @include breakpoint(medium) {
    padding-left: $space-lg-h;
  }
}

.pl-xl {
  padding-left: $space-lg-h;

  @include breakpoint(medium) {
    padding-left: $space-xl-h;
  }
}

.pl-xxl {
  padding-left: $space-xl-h;

  @include breakpoint(medium) {
    padding-left: $space-xxl-h;
  }
}

.pl-none {
  padding-left: 0;
}
